Loading...
Searching...
No Matches
single-complex precision
Sparse LA » Sparse GPU kernels » GPU kernels for symmetric/Hermitian sparse LA

## Functions

magma_int_t | magma_ccgmerge_xrbeta (magma_int_t n, magmaFloatComplex_ptr d1, magmaFloatComplex_ptr d2, magmaFloatComplex_ptr dx, magmaFloatComplex_ptr dr, magmaFloatComplex_ptr dd, magmaFloatComplex_ptr dz, magmaFloatComplex_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.
magma_int_t | magma_cpcgmerge_xrbeta1 (magma_int_t n, magmaFloatComplex_ptr dx, magmaFloatComplex_ptr dr, magmaFloatComplex_ptr dd, magmaFloatComplex_ptr dz, magmaFloatComplex_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.
magma_int_t | magma_cpcgmerge_xrbeta2 (magma_int_t n, magmaFloatComplex_ptr d1, magmaFloatComplex_ptr d2, magmaFloatComplex_ptr dh, magmaFloatComplex_ptr dr, magmaFloatComplex_ptr dd, magmaFloatComplex_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.
magma_int_t | magma_cjcgmerge_xrbeta (magma_int_t n, magmaFloatComplex_ptr d1, magmaFloatComplex_ptr d2, magmaFloatComplex_ptr diag, magmaFloatComplex_ptr dx, magmaFloatComplex_ptr dr, magmaFloatComplex_ptr dd, magmaFloatComplex_ptr dz, magmaFloatComplex_ptr dh, magmaFloatComplex_ptr skp, magma_queue_t queue)
| Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

## Detailed Description

## Function Documentation

## magma_ccgmerge_xrbeta()

magma_int_t magma_ccgmerge_xrbeta | ( | magma_int_t | n,
|  | magmaFloatComplex_ptr | d1,
|  | magmaFloatComplex_ptr | d2,
|  | magmaFloatComplex_ptr | dx,
|  | magmaFloatComplex_ptr | dr,
|  | magmaFloatComplex_ptr | dd,
|  | magmaFloatComplex_ptr | dz,
|  | magmaFloatComplex_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in] | d1 | magmaFloatComplex_ptr temporary vector
  [in] | d2 | magmaFloatComplex_ptr temporary vector
  [in,out] | dx | magmaFloatComplex_ptr input vector x
  [in,out] | dr | magmaFloatComplex_ptr input/output vector r
  [in] | dd | magmaFloatComplex_ptr input vector d
  [in] | dz | magmaFloatComplex_ptr input vector z
  [in] | skp | magmaFloatComplex_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_cpcgmerge_xrbeta1()

magma_int_t magma_cpcgmerge_xrbeta1 | ( | magma_int_t | n,
|  | magmaFloatComplex_ptr | dx,
|  | magmaFloatComplex_ptr | dr,
|  | magmaFloatComplex_ptr | dd,
|  | magmaFloatComplex_ptr | dz,
|  | magmaFloatComplex_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in,out] | dx | magmaFloatComplex_ptr input vector x
  [in,out] | dr | magmaFloatComplex_ptr input/output vector r
  [in] | dd | magmaFloatComplex_ptr input vector d
  [in] | dz | magmaFloatComplex_ptr input vector z
  [in] | skp | magmaFloatComplex_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_cpcgmerge_xrbeta2()

magma_int_t magma_cpcgmerge_xrbeta2 | ( | magma_int_t | n,
|  | magmaFloatComplex_ptr | d1,
|  | magmaFloatComplex_ptr | d2,
|  | magmaFloatComplex_ptr | dh,
|  | magmaFloatComplex_ptr | dr,
|  | magmaFloatComplex_ptr | dd,
|  | magmaFloatComplex_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in] | d1 | magmaFloatComplex_ptr temporary vector
  [in] | d2 | magmaFloatComplex_ptr temporary vector
  [in] | dh | magmaFloatComplex_ptr input vector x
  [in] | dr | magmaFloatComplex_ptr input/output vector r
  [in] | dd | magmaFloatComplex_ptr input/output vector d
  [in] | skp | magmaFloatComplex_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.

## magma_cjcgmerge_xrbeta()

magma_int_t magma_cjcgmerge_xrbeta | ( | magma_int_t | n,
|  | magmaFloatComplex_ptr | d1,
|  | magmaFloatComplex_ptr | d2,
|  | magmaFloatComplex_ptr | diag,
|  | magmaFloatComplex_ptr | dx,
|  | magmaFloatComplex_ptr | dr,
|  | magmaFloatComplex_ptr | dd,
|  | magmaFloatComplex_ptr | dz,
|  | magmaFloatComplex_ptr | dh,
|  | magmaFloatComplex_ptr | skp,
|  | magma_queue_t | queue )

Merges the update of r and x with the dot product and performs then the update for the Krylov vector d.

Parameters

  [in] | n | int dimension n
  [in] | d1 | magmaFloatComplex_ptr temporary vector
  [in] | d2 | magmaFloatComplex_ptr temporary vector
  [in] | diag | magmaFloatComplex_ptr inverse diagonal (Jacobi preconditioner)
  [in] | dx | magmaFloatComplex_ptr iteration vector x
  [in] | dr | magmaFloatComplex_ptr input/output vector r
  [in] | dd | magmaFloatComplex_ptr input vector d
  [in] | dz | magmaFloatComplex_ptr input vector z
  [in] | dh | magmaFloatComplex_ptr input vector h
  [in] | skp | magmaFloatComplex_ptr array for parameters
  [in] | queue | magma_queue_t Queue to execute in.